summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/adobe-air-sdk-bin/files/airstart')
-rw-r--r--dev-util/adobe-air-sdk-bin/files/airstart34
1 files changed, 0 insertions, 34 deletions
diff --git a/dev-util/adobe-air-sdk-bin/files/airstart b/dev-util/adobe-air-sdk-bin/files/airstart
deleted file mode 100644
index db76d6c..0000000
--- a/dev-util/adobe-air-sdk-bin/files/airstart
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-
-synopsis() {
- echo "Synopsis: $0 appl.air" >&2
- exit 1
-}
-
-[ -z "$1" ] && synopsis
-
-tmpdir="$(mktemp -d /tmp/adobeair.XXXXXXXXXX)"
-
-cleanup() {
- rm -rf "${tmpdir}"
-}
-
-runair() {
- if [ ! -f "$1" ]; then
- echo 'Specified application file not found:' "$1" >&2
- cleanup
- synopsis
- return 1
- fi
-
- if ! unzip -q "$1" -d "${tmpdir}"; then
- echo 'Unable to extract AIR application:' "$1" >&2
- return 1
- fi
-
- /opt/bin/adl -nodebug "${tmpdir}"/META-INF/AIR/application.xml "${tmpdir}"
-}
-
-trap cleanup HUP INT QUIT TERM
-runair "$1"
-cleanup